<link rel="import" href="/extern/bower_components/polymer/polymer.html">
<link rel="import" href="/extern/bower_components/iron-ajax/iron-ajax.html">
<link rel="import" href="/ts/common-elements/page-js/page-js.html">
<link rel="import" href="/ts/ajaxell/html/elements/ag-toaster/throws-toast.html">

<!--
[Page.js](https://visionmedia.github.io/page.js/)

`page-handler` uses the page.js library to catch and handle page flow.
This allows AjaXell to be a single-page web app and is the reason the loading
of a new panel doesn't require reloading the whole page.

-->
<dom-module id="page-handler">
    <template>
        <iron-ajax id="ajax" method="POST" handle-as="text" on-response="handleResponse"></iron-ajax>
    </template>
    <script src="javascript/page-handler-min.js?__inline=true"></script>
</dom-module>
